package org.objectweb.jonas.jtests.beans.ejbql;

import javax.naming.InitialContext;
import javax.naming.NamingException;
import org.objectweb.jonas.jtests.beans.ejbql.SequenceSessionLocalHome;
import org.objectweb.jonas.jtests.beans.ejbql.SequenceSessionLocal;
import javax.ejb.EntityContext;

public abstract class AddressBean implements javax.ejb.EntityBean {		
    
    private SequenceSessionLocalHome seqHome = null;
    private SequenceSessionLocal  seqLocal = null;

    public Integer ejbCreateAddress(String street, String city, String state,  String zip )
    throws javax.ejb.CreateException {
	setStreet(street);
	setCity(city);
	setState(state);
	setZip(zip);
        int id = seqLocal.getNextNumberInSequence("Address");
	setId(new Integer(id));
	return null;
    }

    public void ejbPostCreateAddress (String street, String city,String state,  String zip){
    }

    // persistent fields
    public abstract Integer getId();
    public abstract void setId(Integer id);
    public abstract String getStreet();
    public abstract void setStreet(String street);
    public abstract String getCity();
    public abstract void setCity(String city);
    public abstract String getState();
    public abstract void setState(String state);
    public abstract String getZip();
    public abstract void setZip(String zip);

    // standard call back methods
    
    public void setEntityContext(EntityContext ec){
	try {
	    InitialContext cntx = new InitialContext( );
	    SequenceSessionLocalHome  seqHome  = 
		    (SequenceSessionLocalHome)cntx.lookup("java:comp/env/ejb/SequenceSessionLocalHome");
	    seqLocal = seqHome.create();
	} catch(Exception e) {
	    throw new javax.ejb.EJBException(e);
	}
	    
    }

    public void unsetEntityContext(){}
    public void ejbLoad(){}
    public void ejbStore(){}
    public void ejbActivate(){}
    public void ejbPassivate(){}
    public void ejbRemove() throws javax.ejb.RemoveException{}

}
