package org.objectweb.jonas.jtests.beans.ejbql;

import org.objectweb.jonas.jtests.beans.ejbql.*;

import java.util.Collection;
import javax.ejb.CreateException;
import javax.ejb.FinderException;
import java.rmi.RemoteException;

// Reservation EJB's remote home interface
public interface ReservationHomeRemote extends javax.ejb.EJBHome  {

    public ReservationRemote create(Integer cruiseid, Collection customers)
                      throws javax.ejb.CreateException, RemoteException;;

    public ReservationRemote findByPrimaryKey(Object primaryKey)
                      throws javax.ejb.FinderException, RemoteException;

    public Collection findAllReservations()  throws FinderException, RemoteException;;

}

