
package applis.ejb.perfs;

import java.rmi.RemoteException;
import javax.ejb.EntityBean;
import javax.ejb.EntityContext;
import javax.ejb.RemoveException;
import javax.ejb.CreateException;

import org.objectweb.jonas.common.Trace;


public class PerfsBean implements EntityBean {
 
    static private int trace = Trace.DB_1;

    protected EntityContext entityContext;

    public  int	code  = 0;
    public  String value = null;

    public PerfsBeanPK ejbCreate(int i, String s) throws CreateException, RemoteException {
	code = i;
	value = s;
	// In CMP, should return null.
	return null;
    }

    public void ejbPostCreate(int i, String s) throws CreateException, RemoteException {
    }

    public void ejbActivate() throws RemoteException {
    }

    public void ejbPassivate() throws RemoteException {
    }

    public void ejbLoad() throws RemoteException {
    }

    public void ejbStore() throws RemoteException {
    }
  
    public void ejbRemove() throws RemoveException{
    }

    public void setEntityContext(EntityContext ctx) {
	Trace.outln(trace, "PerfsBean.setEntityContext()");
	entityContext  = ctx;
    }

    public void unsetEntityContext() {
    }

    public String read() throws RemoteException {
	Trace.outln(trace, "PerfsBean.read() -> " + value);
	return value;
    }

    public void write(String v) throws RemoteException {
	Trace.outln(trace, "PerfsBean.write(String "+v+")");
	value = new String(v);
    }

    public String txread() throws RemoteException {
	Trace.outln(trace, "PerfsBean.txread() -> " + value);
	return value;
    }

    public void txwrite(String v) throws RemoteException {
	Trace.outln(trace, "PerfsBean.txwrite(String "+v+")");
	value = new String(v);
    }

} 

