#!/bin/sh

#
# This script is only an example to show how the java sources of this directory
# may be generated from the grammar file
#

JAVACC_HOME=/server/products/webgain/javacc2.1
TMP_DIR=./tempo
CUR_PWD=`pwd`

set -x

# Initialization
mkdir $TMP_DIR
cp EJBQL.jjt $TMP_DIR
# Java sources generation
cd $TMP_DIR
$JAVACC_HOME/bin/jjtree EJBQL.jjt
$JAVACC_HOME/bin/javacc EJBQL.jj
# Diff between the new sources and the old sources
for f in `ls *.java`
do
  echo "====== $f ====="
  diff $f $CUR_PWD/$f
done


