package org.objectweb.jonas.jtests.beans.ejbql;

import javax.ejb.CreateException;
import javax.ejb.FinderException;
import java.util.Collection;
import java.rmi.RemoteException;


// Address EJB's remote home interface
public interface AddressHomeRemote extends javax.ejb.EJBHome {

    public AddressRemote createAddress(String street, String city, String state,  String zip )
        throws javax.ejb.CreateException, RemoteException;

    public AddressRemote findByPrimaryKey(Integer primaryKey)
        throws javax.ejb.FinderException, RemoteException;

    public Collection findAllAddress()
        throws javax.ejb.FinderException, RemoteException;
}

